@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface JmsEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
JmsEndpointBuilderFactory.AdvancedJmsEndpointBuilder
Advanced builder for endpoint for the JMS component.
|
static interface |
JmsEndpointBuilderFactory.AdvancedJmsEndpointConsumerBuilder
Advanced builder for endpoint consumers for the JMS component.
|
static interface |
JmsEndpointBuilderFactory.AdvancedJmsEndpointProducerBuilder
Advanced builder for endpoint producers for the JMS component.
|
static class |
JmsEndpointBuilderFactory.ConsumerType
Proxy enum for
org.apache.camel.component.jms.ConsumerType
enum. |
static class |
JmsEndpointBuilderFactory.DefaultTaskExecutorType
Proxy enum for
org.apache.camel.component.jms.DefaultTaskExecutorType enum. |
static interface |
JmsEndpointBuilderFactory.JmsBuilders |
static interface |
JmsEndpointBuilderFactory.JmsEndpointBuilder
Builder for endpoint for the JMS component.
|
static interface |
JmsEndpointBuilderFactory.JmsEndpointConsumerBuilder
Builder for endpoint consumers for the JMS component.
|
static interface |
JmsEndpointBuilderFactory.JmsEndpointProducerBuilder
Builder for endpoint producers for the JMS component.
|
static class |
JmsEndpointBuilderFactory.JmsMessageType
Proxy enum for
org.apache.camel.component.jms.JmsMessageType
enum. |
static class |
JmsEndpointBuilderFactory.ReplyToType
Proxy enum for
org.apache.camel.component.jms.ReplyToType
enum. |
| Modifier and Type | Method and Description |
|---|---|
static JmsEndpointBuilderFactory.JmsEndpointBuilder |
jms(String path)
JMS (camel-jms)
The jms component allows messages to be sent to (or consumed from) a JMS
Queue or Topic.
|
static JmsEndpointBuilderFactory.JmsEndpointBuilder jms(String path)
jms:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
The value can be one of: queue, topic, temp-queue, temp-topic
Path parameter: destinationName (required)
Name of the queue or topic to use as destinationApache Camel